Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.Collections
Imports System.Collections.Generic
Imports System.Web.Mail
Imports EDSL.Entities
Imports EDSL.DAL
Partial Public Class about
    Inherits BasePage
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim objMainPage As New dbMainPage
        Dim objMainPageEntity As New entMainPage

        objMainPageEntity = objMainPage.GetPageDetails("About")

        Me.MetaTitle = ConfigurationManager.AppSettings("BrowserTitleCompanyName") & objMainPageEntity.MetaTitle
        divContent.InnerHtml = objMainPageEntity.PageContent

        labelPageTitle.Text = objMainPageEntity.PageTitle
        Me.MetaName = objMainPageEntity.PageMetaName
        Me.MetaContent = objMainPageEntity.PageMetaContent

        Dim homeLinks As HyperLink = Master.FindControl("header1").FindControl("nav1")
        Dim aboutLinks As HyperLink = Master.FindControl("header1").FindControl("nav2")
        Dim contactLinks As HyperLink = Master.FindControl("header1").FindControl("nav3")
        If Not homeLinks Is Nothing Then
            homeLinks.CssClass = "n1"
            aboutLinks.CssClass = "n2s"
            contactLinks.CssClass = "n3"
        End If
        Dim pageInfo As HyperLink = breadcrumb.FindControl("lnkPage")
        pageInfo.Text = objMainPageEntity.PageTitle

  
    End Sub
End Class
